MuleTransport (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.soap.axis.extensions.MuleTransport class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.soap.axis.extensions
Class MuleTransport

    java.lang.Object
      org.apache.axis.client.Transport
          org.mule.transport.soap.axis.extensions.MuleTransport

Direct Known Subclasses:
  MuleTransport.HTTP, MuleTransport.HTTPS, MuleTransport.IMAP, MuleTransport.IMAPS, MuleTransport.JMS, MuleTransport.POP3, MuleTransport.POP3S, MuleTransport.SERVLET, MuleTransport.SMTP, MuleTransport.SMTPS, MuleTransport.SSL, MuleTransport.TCP, MuleTransport.VM, MuleTransport.XMPP

    public class MuleTransport

extends org.apache.axis.client.Transport

A container for all Mule supported transports for Axis.

Nested Class Summary
`static class` | `MuleTransport.HTTP`
`static class` | `MuleTransport.HTTPS`
`static class` | `MuleTransport.IMAP`
`static class` | `MuleTransport.IMAPS`
`static class` | `MuleTransport.JMS`
`static class` | `MuleTransport.POP3`
`static class` | `MuleTransport.POP3S`
`static class` | `MuleTransport.SERVLET`
`static class` | `MuleTransport.SMTP`
`static class` | `MuleTransport.SMTPS`
`static class` | `MuleTransport.SSL`
`static class` | `MuleTransport.TCP`
`static class` | `MuleTransport.VM`
`static class` | `MuleTransport.XMPP`

Field Summary

Fields inherited from class org.apache.axis.client.Transport
`transportName, url`

Constructor Summary
`MuleTransport()`
`MuleTransport(String protocol)`

Method Summary
`static Class` | `getTransportClass(String protocol)`
`static boolean` | `isTransportSupported(String protocol)`

Methods inherited from class org.apache.axis.client.Transport
`getTransportName, getUrl, processReturnedMessageContext, setTransportName, setupMessageContext, setupMessageContextImpl, setUrl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleTransport

    public MuleTransport()

### MuleTransport

    public MuleTransport(String protocol)

Method Detail

### getTransportClass

    public static Class getTransportClass(String protocol)
                                   throws DefaultMuleException

  Parameters:
    `protocol` - the Axis soap transport to use
  Returns:
    The corresponding transport class
  Throws:
    `DefaultMuleException` - if the transport is not supported by Axis
    `NullPointerException` - if the transport protocol is null

### isTransportSupported

    public static boolean isTransportSupported(String protocol)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.